From 0ff740ab098fc613a307a68d54d64a1b9640956c Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Tue, 14 Apr 2020 18:38:12 +0800
Subject: [PATCH 42/77] hotplug_serial: fix subprocess.Popen() use error

If we use 'shell=True' for subprocess.Popen(), the
'["/usr/bin/cat", dev_file]' is just string.
We need delete it for our expected result.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 libvirt/tests/src/hotplug_serial.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libvirt/tests/src/hotplug_serial.py b/libvirt/tests/src/hotplug_serial.py
index 1004d35a..64c8ce20 100644
--- a/libvirt/tests/src/hotplug_serial.py
+++ b/libvirt/tests/src/hotplug_serial.py
@@ -170,7 +170,7 @@ def run(test, params, env):
             if not os.path.exists(dev_file):
                 test.fail("%s doesn't exist." % dev_file)
             p = subprocess.Popen(["/usr/bin/cat", dev_file], universal_newlines=True,
-                                 stdout=subprocess.PIPE, stderr=subprocess.PIPE, shell=True)
+                                 stdout=subprocess.PIPE, stderr=subprocess.PIPE)
             session.cmd("echo test >> /tmp/file &")
             while True:
                 r_o = p.stdout.readline()
-- 
2.23.0

